*,
*::after,
*::before {
  box-sizing: border-box;
}
*:hover,
*:hover path {
  transition: 0.5s; /* transition для всех ховеров */
}
a {
  text-decoration: none;
}
li {
  list-style-type: none;
}
.page-body {
  font-family: 'Ubuntu', 'Century Gothic', sans-serif; /* семейство шрифтов для документа */
  font-size: 14px;
}
.page-body {
  background: url(../img/page_bg.jpg) no-repeat center fixed; /* фоновая картинка */
  background-size: cover;
}
.page-header {
  background-color: rgba(0, 0, 0, 0.4); /* заливка верхней полосы */
  display: flex;
  justify-content: space-between;
  align-items: center; /* размещение контента header */
}
.header-titel-link {
  margin: 17px 80px; /* отступы для Jorney */
}
.header-title {
  margin: 0;
  font-weight: bold;
  font-size: 22px;
  color: #ffffff; /* стиль */
}
.header-menu {
  display: flex;
  justify-content: space-between;
  align-items: center; /* размещение меню */
}
.logo-menu {
  display: flex;
  justify-content: space-between; /* размещение иконок */
}
.logo-menu-item {
  padding: 0 13px;
}
.logo-menu li:last-child {
  padding-right: 25px;
  border-right: 1px solid rgba(255, 255, 255, 0.9); /* полоска в меню */
}
.greeting {
  padding: 0 80px 0 27px;
  font-weight: 400;
  font-size: 14px;
  color: #ffffff; /* стиль для приветствия */
}
.header-link {
  color: #ffffff; /* цвет ссылок */
}
.logo-menu-item:hover path {
  fill: #236d47; /* цвет иконок hoover */
}
.green-hover:hover {
  color: #236d47; /* цвет ссылок hoover */
}

/* Main */

.main-container {
  padding: 30px 60px 40px; /* внутриние отступы в форме */
  margin-bottom: 58px; /* отступ снизу для симетрии */
  width: 445px; /* фиксированая ширина формы */
  background-color: #ffffff; /* заливка */
  position: absolute;
  top: calc(50% + 58px);
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%); /* размещение формы симетрично по вертикали и горизонтали */
}
.main-title-container {
  display: flex;
  justify-content: space-between; /* размещение в одну строку */
}
.main-title {
  margin: 0;
  font-size: 20px;
  color: #434343; /* Sing up стиль */
}
.main-title::before {
  content: ' ';
  width: 18px;
  height: 18px;
  position: absolute;
  left: 0;
  background: #3cb878; /* зелёный квадрат слева от текста */
}
.green {
  color: #236d47; /* зелёный цвет для ссылок */
}
.log-social-container {
  margin-top: 15px;
  display: flex;
  justify-content: space-between; /* размещение кнопок в ряд */
}
.social-button {
  height: 48px;
  padding: 10px 0;
  border-radius: 5px;
  display: flex;
  align-items: center; /* стилизация кнопок соцсети */
}
.blue {
  background-color: #305db8;
}
.red {
  background-color: #df4a32;
}
.social-logo-container {
  width: 50px;
  text-align: center;
  border-right: 1px solid rgba(10, 22, 47, 0.2); /* Стилизация кнопок... */
}
.social-main {
  width: 110px;
  text-align: center;
  font-size: 16px;
  color: #ffffff; /* стилизация текста кнопок соцсетей */
}
.line-dividing {
  margin-top: 35px;
  text-align: center;
  position: relative; /* позиционирование надписи re */
}
.line-or {
  color: #848484;
}
.line-dividing::before,
.line-dividing::after {
  display: block; /* делаем псевдоэлемент блоком для последующего работы с ним, как с простым div'ом */
  width: 152px; /* устанавливаем ширину линию. Можно использовать произвольную ширину */
  content: ''; /* позволяет вставлять генерируемое содержание в текст страницы, которое первоначально в тексте отсутствует */
  position: absolute; /* абсолютное позиционирование для управления линиями */
  border-bottom: 1px solid #f2f2f2; /* бордер псевдо дива, т.е. сама линия */
  top: 9px; /* позиционирование по вертикали */
}
.line-dividing::before {
  right: 171px;
}
.line-dividing::after {
  left: 171px;
} /* горизонтальные линии возле or */
.form-sing-up {
  margin-top: 11px;
}
fieldset {
  padding: 0;
  margin: 0;
  border: none; /* обнуление */
}
.form-input-text {
  width: 100%;
  height: 46px;
  margin-bottom: 15px;
  border: 1px solid #f2f2f2;
  border-radius: 4px;
  padding-left: 20px;
  outline: none; /* стилизация инпутов */
}
.form-input-text:focus {
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21); /* тень на инпуте при фокусе */
}
.custom-checkbox {
  position: absolute;
  z-index: -1;
  opacity: 0;
}
.custom-checkbox + label {
  display: inline-flex;
  align-items: center;
  user-select: none;
}
.custom-checkbox + label::before {
  content: '';
  display: inline-block;
  width: 20px;
  height: 20px;
  flex-shrink: 0;
  flex-grow: 0;
  border: 1px solid #f2f2f2;
  margin-right: 0.5em;
  background-repeat: no-repeat;
  background-position: center center;
}
.custom-checkbox:checked + label::before {
  background-image: url(../img/checkbox.svg); /* стилизация чекбокса */
}

.green:hover {
  text-decoration: underline;
  color: teal;
}
.form-submit {
  width: 100%;
  height: 46px;
  margin-top: 20px;
  background: rgba(60, 184, 120, 0.8);
  border: none;
  outline: none;
  border-radius: 4px;
  font-size: 16px;
  color: #ffffff; /* стилизация кнопки отправки */
}
